Wireshark-dev: Re: [Wireshark-dev] ___asan_version_mismatch_check_apple_902
From: Joerg Mayer <[email protected]>
Date: Thu, 15 Nov 2018 13:41:17 +0100
Hello,

On Thu, Nov 15, 2018 at 12:07:01PM +0100, Joerg Mayer wrote:
> after updating to XCode 10.1 (but not Mojave) I'm getting the following on
> program start:
...
> dyld: lazy symbol binding failed: Symbol not found: ___asan_version_mismatch_check_apple_902
>   Referenced from: /usr/local/lib/libpcap.A.dylib
>   Expected in: /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib/clang/10.0.0/lib/darwin/libclang_rt.asan_osx_dynamic.dylib

Actually reading that libpcap was the culprit would have saved me from bothering the list...

Ciao
    Jörg

-- 
Joerg Mayer                                           <[email protected]>
We are stuck with technology when what we really want is just stuff that
works. Some say that should read Microsoft instead of technology.